#!/bin/bash

set -e

echo
echo "MA3-K26_30-Series Scanner IP Setup Tool"
echo

read -p "Enter scanner ip address: " IP_ADDRESS

configdir=/etc/sane.d
product=$(grep "${IP_ADDRESS}" ${configdir}/hkma3k26k30.conf || :)
if [ -z "${product}" ]; then
    echo "ip ${IP_ADDRESS} MA3-K26_30-Series" >> ${configdir}/hkma3k26k30.conf
    RETURN=$(echo $?)
    if [ $RETURN = 0 ]; then
    	echo
    	echo "========================"
	    echo
	    echo "Success."
	    echo
    	echo "========================"
	    echo
    else
	    echo
	    echo "========================"
	    echo
	    echo "Failure."
	    echo
	    echo "========================"
	    echo
    fi
else
	echo
   	echo "========================"
    echo
    echo "Success."
    echo
   	echo "========================"
    echo
fi

echo "Press [ ENTER ] to continue."

read key
